MQBase (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQBase interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQBase

All Known Subinterfaces:
  MQAliasQueue, MQApiExit, MQApiExitCommons, MQApiExitTemplates, MQAuthInfo, MQBufferPool, MQChannel, MQClientConnectionChannel, MQCluster, MQClusterReceiverChannel, MQClusterSenderChannel, MQInstallableService, MQListener, MQLocalQueue, MQModelQueue, MQNameList, MQNetBIOSListener, MQPageSet, MQProcess, MQQueue, MQQueueManager, MQQueueSharingGroup, MQReceiverChannel, MQRemoteQueue, MQRequesterChannel, MQSenderChannel, MQServerChannel, MQServerConnectionChannel, MQService, MQServiceComponent, MQSNAListener, MQSPXListener, MQStorageClass, MQSubsystem, MQTCPListener

    public interface MQBase

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`boolean` | `getDefault()` How the MQObject was created - default objects are created automatically during installation.
`boolean` | `getIsValid()` IsValid-The user can create some objects without a correct name, so this attribute is used for a wilcarding.
`boolean` | `getSystem()` System-The way to show that the MQObject was created during installation.
`boolean` | `hasDefault()`
`boolean` | `hasIsValid()`
`boolean` | `hasSystem()`
`void` | `setDefault(boolean x)`
`void` | `setIsValid(boolean x)`
`void` | `setSystem(boolean x)`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getIsValid

    boolean getIsValid()
                       throws AttributeNotSetException

  IsValid-The user can create some objects without a correct name, so this attribute is used for a wilcarding.

  Throws:
    `AttributeNotSetException`

### setIsValid

    void setIsValid(boolean x)

### hasIsValid

    boolean hasIsValid()

### getSystem

    boolean getSystem()
                      throws AttributeNotSetException

  System-The way to show that the MQObject was created during installation. some instance are created by installing the product

  Throws:
    `AttributeNotSetException`

### setSystem

    void setSystem(boolean x)

### hasSystem

    boolean hasSystem()

### getDefault

    boolean getDefault()
                       throws AttributeNotSetException

  How the MQObject was created - default objects are created automatically during installation.

  Throws:
    `AttributeNotSetException`

### setDefault

    void setDefault(boolean x)

### hasDefault

    boolean hasDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD